/**
 * Classe MaFenetre
 * Mise en place d'une fenetre avec un panneau de dessin
 * 
 * @author Paul
 * @version IUT 03 GEII
 */

import javax.swing.*;
import java.awt.*;    
    
public class MaFenetre extends JFrame
{
    private JButton bDessine;
    private JButton bEfface;
    private MonPanneau panneau;
    
    public MaFenetre()
    {
	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	setBounds(10, 20, 400, 300);
	setTitle("Fenetre principale");
        getContentPane().setLayout(new BorderLayout(10, 10));
        
        this.bDessine = new JButton("Dessine");
        this.bDessine.setActionCommand("Dessine");
        this.bEfface = new JButton("Efface");
        this.bEfface.setActionCommand("Efface"); 
	this.panneau = new MonPanneau();
	
        MonEcouteur ecouteur = new MonEcouteur(this.panneau);
        this.bDessine.addActionListener(ecouteur);
        this.bEfface.addActionListener(ecouteur);        
		
	getContentPane().add(this.bDessine, BorderLayout.NORTH);   
        getContentPane().add(this.bEfface, BorderLayout.SOUTH);
        getContentPane().add(this.panneau, BorderLayout.CENTER);   		
	}
}
